PDA

Afficher la version complète : Probléme : Knoppix 3.9 & Eagle-USB 2.3.2



Monuto
07/12/2005, 15h25
Salut tout le monde ! http://www.alionet.org/style_emoticons/<#EMO_DIR#>/smile.gif

Je voudrais installer le Driver Eagle-USB sur Knoppix 3.9 (J'utilise le modem Sagem fast 800)
Mais je tombe toujours dans cette problème http://www.alionet.org/style_emoticons/<#EMO_DIR#>/cry2.gif
Après que je excute le commande "make" http://www.alionet.org/style_emoticons/<#EMO_DIR#>/sad.gif

Pouvez-vous m'aider ?
Merci d'avance http://www.alionet.org/style_emoticons/<#EMO_DIR#>/smile.gif


================================================== ======================
distribution detected Debian

dhcp support no

pppd support yes
pppoa support yes
pppoe support yes

install eagleconnect (tcl/tk frontend) yes

generate documentation no
================================================== ======================

warning: current gcc version is not the same as the one used to
compile the running kernel.
- current gcc version: 3.3.6
- gcc version used for kernel: Linux

root@box:/home/matodo/eagle-usb-2.3.2# make
make -C driver
make[1]: Entering directory `/home/matodo/eagle-usb-2.3.2/driver'
USE_CMVS=1 make -C /lib/modules/2.6.11/build SUBDIRS=/home/matodo/eagle-usb-2.3.2/driver modules
/bin/sh: /usr/src/linux-2.6.11/scripts/gcc-version.sh: No such file or directory
make[2]: Entering directory `/usr/src/linux-2.6.11'
make[3]: scripts/Makefile.build: No such file or directory
make[3]: *** No rule to make target `scripts/Makefile.build'. Stop.
make[2]: *** [_module_/home/matodo/eagle-usb-2.3.2/driver] Error 2
make[2]: Leaving directory `/usr/src/linux-2.6.11'
make[1]: *** [eagle-usb.ko] Error 2
make[1]: Leaving directory `/home/matodo/eagle-usb-2.3.2/driver'
make: *** [build] Error 2
root@box:/home/matodo/eagle-usb-2.3.2#

galagann
07/12/2005, 18h56
Salux,

Ta Knoppix est installé sur le Disque dur ou encore en live CD ?

Monuto
07/12/2005, 20h51
Salut ! http://www.alionet.org/style_emoticons/<#EMO_DIR#>/smile.gif

Merci Monsieur Galagann sur votre réponse
Mais J'ai déja ecrit dans le titre "Knoppix est deja installer sur HD"

Merci encore

galagann
08/12/2005, 20h06
Oki, avait pas lu le titre http://www.alionet.org/style_emoticons/<#EMO_DIR#>/tongue.gif

Voici un lien qui peu d'aider : http://dev.eagle-usb.org/wakka.php?wiki=DocDebian

As-tu tous les pré-requis identifiés, notamment linux-kernel-headers.

Monuto
08/12/2005, 21h27
Salut again http://www.alionet.org/style_emoticons/<#EMO_DIR#>/smile.gif

ça marche pas
j'ai telecharger les packages "ppp,dhcp3-client,hotplug,gcc,libc6-dev,linux-kernel-headers,make,module-assistant,debhelper"
de packages.debian.org et les installer avec le commande dpkg 'avec succes'
mais, quand je tape 'make' il donne le même ereur :cry: :cry:

offworld
13/12/2005, 17h50
Comment ça sans succés, si tu est sur knoppix, tu dois avoir synaptic, c'est avec ce programme que tu installe c'est paquet.
Explique ton sans succés.

EScTB
14/12/2005, 22h16
vu que monuto essaye d'installer son modem usb il ne peut avoir acces a internet ss linux, sinon pourquoi voudrait il les insteller...

offworld
14/12/2005, 23h47
Apparament il dit que ta version de gcc diffère de celle qui as étais utilisé pour compiller le kernel.
Essai d'installer d'autre version de gcc.